---
layout: mockup
title: "Pointing & Clicking"
theme: Adwaita/Adwaita.css
permalink: settings/accessibility/pointing/
wallpaper: adwaita
category: "Accessibility"
root: accessibility-root
---

<!-- css -->
<link rel="stylesheet" type="text/css" href="{{ site.baseurl }}/css/Adwaita/apps/settings.css">

{%- include widgets/_panel.html -%}

<!-- Window -->
<div class="window medium">
	<!-- Titlebar -->
	<div class="titlebar paned">
		<div class="button-group pane float-left">
			<a class="button image-button secondaryButton" href="{{ site.baseurl }}/settings/{{ page.root }}">{%- include symbolic/actions/go-previous-symbolic.svg -%}</a>
			<a class="button image-button primaryButton" href="{{ site.baseurl }}/settings/network">{%- include symbolic/actions/go-previous-symbolic.svg -%}</a>
			<span class="title">{{ page.category }}</span>
		</div>
		<!-- Title -->
		<div class="title-group">
			<span class="title">{{ page.title }}</span>
		</div>
		<div class="button-group float-right">
			{%- include components/close-button.html close = "window" -%}
		</div>
	</div>
	<!-- Content -->
	<div class="content">
		<!-- Sidebar -->
		<ul id="settingsAccessibilitySidebar" class="sidebar">
		{%- for item in site.data.settings-accessibility-sidebar -%}<a href="{{ site.baseurl }}/settings{{ item.link }}"><li>{%- include symbolic/{{ item.icon }}-symbolic.svg -%}<span>{{ item.title }}</span></li></a>{%- if item.has-separator == true -%}<div class="separator"></div>{%- endif -%}{%- endfor -%}
		</ul>
		<!-- View -->
		<div class="view">
			<div class="row">
				<ul class="listrow">
					<li>
						<label>Double-Click Delay</label>
						<input class="float-right" type="range" min="1" max="100" value="75" id="cursorBlinkRateScale">
					</li>
				</ul>
				<p>Other options can be adjusted in the <a href="{{ site.baseurl }}/settings/mouse-touchpad">Mouse & Touchpad</a> settings.</p>
			</div>
			<div class="row">
				<h4>Mouse Keys</h4>
				<p>Mouse keys allows the mouse to be controlled using the keyboard number pad.</p>
				<ul class="listrow">
					<li>
						<label>Mouse Keys</label>
						{%- include components/switch.html float = "right" -%}
					</li>
				</ul>
			</div>
			<!-- Simulated Secondary Click -->
			<div class="row">
				<h4>Simulated Secondary Click</h4>
				<p>Trigger a secondary click by holding down the primary mouse button.</p>
				<ul class="listrow">
					<li>
						<label>Simulated Secondary Click</label>
						{%- include components/switch.html float = "right" -%}
					</li>
					<li>
						<label>Acceptance Delay</label>
						<input class="float-right" type="range" min="1" max="100" value="75" id="secondaryClickDelayScale">
					</li>
				</ul>
			</div>
			<!-- Hover Click -->
			<div class="row">
				<h4>Hover Click</h4>
				<p>Trigger a click when the pointer hovers.</p>
				<ul class="listrow">
					<li>
						<label>Hover Click</label>
						{%- include components/switch.html float = "right" -%}
					</li>
					<li>
						<label>Delay</label>
						<input class="float-right" type="range" min="1" max="100" value="75" id="hoverClickDelayScale">
					</li>
					<li>
						<label>Motion Threshold</label>
						<input class="float-right" type="range" min="1" max="100" value="75" id="hoverClickMotionThresholdScale">
					</li>
				</ul>
			</div>
		</div>
	</div>
</div>

<!-- js -->
<script type="text/javascript">
// highlight sidebar
$(document).ready(function() {$('#settingsAccessibilitySidebar a:nth-of-type(4) li').addClass("active");});
</script>